#!/usr/bin/env python
# -*- coding: utf-8 -*-

###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# Ajout de dépendances dans la bdd à partir d'une machine installée
#
###########################################################################

from eolepack import eolepackdb
from eolepack.errors import *
import os

def scan():
    output = os.popen("dpkg -l","r")
    result = output.readlines()
    output.close()
    for r in result:
        parts = r.split()
        if parts[0] != "ii":
            continue
        paquet = parts[1]
        print
        print "Paquet %s :"%paquet
        output = os.popen("apt-cache depends %s"%paquet,"r")
        result2 = output.readlines()
        output.close()
        for r2 in result2:
            part2 = r2.split()
            if part2[0] == "Dépend:":
                dep = part2[1]
                if not dep.startswith('<'):
                    if eolepackdb.add_depends(paquet, dep):
                         print "  ajout dépendance %s"%dep
                    else:
                         print "  # dépendance %s déjà connue"%dep

    
if __name__ == '__main__':
    scan()
