#!/usr/bin/env python
# -*- coding: utf-8 -*-

###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# recherche des paquets sur le serveur de compilation
#
###########################################################################
import glob
import os
from eolepack import eolepackdb
from eolepack.errors import *
import sys

new_dist = 'gutsy'
new_release = 'eole-2.1-dev'

fichiers = glob.glob('Compil/*/*/compil.conf')
fichiers.extend(glob.glob('Compil/*/*/*/compil.conf'))
modules = eolepackdb.get_modules()
for f in fichiers:
    print ""
    execfile(f)
    #if SVN_PATH == '':
    #    print("# pas de chemin SVN pour %s-%s"%(PROJECT, VERSION))
    #    #raw_input("# pas de chemin SVN pour %s-%s"%(PROJECT, VERSION))
    #    continue
    #else:
    if True:
      print "%s-%s trouvé :"%(PROJECT, VERSION)
      if not eolepackdb.svn_path_exists(SVN_PATH):
          raw_input("# chemin SVN %s invalide"%SVN_PATH)
          #continue
      try:
          nb = eolepackdb.get_id_paquet(PROJECT, VERSION, new_dist)
          print ("# %s-%s déjà dans la base (%d)"%(PROJECT, VERSION, nb))
          continue
      except UnknownPackage:
          r = raw_input("Tapez entrée pour ajouter ce paquet : ")
          if r != '':
              continue
          print "Modules disponibles :"
	  default = None
          for i in range(0, len(modules)):
              print " %d %s"%(i, modules[i][1])
	      if SVN_PATH.lower().count(modules[i][1]):
                  default = i
		  default_str = modules[i][1]
          mods = []
	  if default is not None:
              print
              print "%s trouvé -> entrée" % default_str
          m = raw_input("affecter le paquet %s-%s au module n° (t pour tous) : "%(PROJECT, VERSION))
	  if m == '' and default is not None:
              mods.append(default)
          while m != '':
              if m == 't':
                  mods = range(0, len(modules))
                  break
              mods.append(int(m))
              m = raw_input("affectations supplémentaires : " )
          dsc = glob.glob(os.path.join(os.path.dirname(f),"*.dsc"))
          if len(dsc) == 1:
              version = dsc[0].split('.')[-2].split('-')[-1]
              if 'eole' in version:
                  release = raw_input("Dernier numéro de release pour le paquet %s-%s (%s) [%s] : "%(PROJECT, VERSION, version, version[4:]))
                  if release=='': release=version[4:]
              else:
                  dsc = 'version'
          else:
              # certains paquets n'ont pas de dsc ???
              if dsc == []: dsc = glob.glob(os.path.join(os.path.dirname(f),"*.build"))
              print "Dernier numéro de release pour le paquet %s-%s"%(PROJECT, VERSION)
              release = raw_input("Propositions %s : "%str(dsc))
          r = raw_input("Tapez entrée pour créer le paquet %s-%s-eole%s : "%(PROJECT, VERSION, release))
          #if r.lower() in ['o', 'oui']:
          if r == '':
              id_paquet = eolepackdb.create_paquet(PROJECT, VERSION, SVN_PATH, new_dist)
              for n in mods:
                  eolepackdb.affecte_paquet(id_paquet, modules[n][0])
              eolepackdb.create_release(id_paquet, int(release), "%seole%s"%(VERSION, release), new_release)
              print "paquet %s-%s ajouté avec l'id %d"%(PROJECT, VERSION, id_paquet)


